Subject: Re: nftables nft_objref.ko missing ct helper "set" not possible

From: [email-masked]
Date: Sat, 05 Jun 2021 09:57:28 +0000

> On Devuan, Debian this is working.
> I noticed that on these distros there is a kernel module nft_objref.ko,
> that is missing in Alpine x86_64!
> If I blacklist this module on Devuan, then the same error appears.
> 
> Interestingly this kernel module is included in the alpine linux-rpi2,
> but not in x86_64.
> 
> The helper modules are all present in x86_64, eg nf_conntrack_sip.ko,
> but are not usable, when I am right.
> 
> I ask here if someone stumbled over the same issue?
> Or is there a workaround - other than recompile the kernel with this
> module enabled.
> Are there specific considerations not to enable it in x86_64 but in 
> arm?

I have recently also run into this issue and am also curious. Switching 
to the devel mailing list because I think it's more relevant but correct 
me if I'm wrong.